/*Code by Mesith Kudagama. Receiver code*/
#include<SPI.h>// Libraries needed to communicate with the nrf24l01 module
#include<nRF24L01.h>
#include<RF24.h>

const uint64_t pipeIn= 00001;//Pipe in address

RF24 radio(9,8);//CE,CSN

int ltmo1=4;//Define the pins of the 2 motors
int ltmo2=5;
int rtmo1=6;
int rtmo2=7;


struct MyData{
  
  byte b1;
  byte b2;
  
};

MyData data;


void setup() {
  Serial.begin(9600);
  radio.begin();
  radio.setAutoAck(false);
  radio.setDataRate(RF24_250KBPS);
  radio.openReadingPipe(1, pipeIn);
  radio.startListening();//Setting the nrf24l01 module as receiver
  pinMode(rtmo1,OUTPUT);
  pinMode(rtmo2,OUTPUT);
  pinMode(ltmo1,OUTPUT);
  pinMode(ltmo2,OUTPUT);
  
  }

  void rxData(){
    if(radio.available()){
   
        radio.read(&data, sizeof(MyData));//Read the transmitted values

        if(data.b1>110){
          analogWrite(ltmo2,LOW);// Move forward
          analogWrite(rtmo2,LOW);
          analogWrite(ltmo1,200);
          analogWrite(rtmo1,200);
        }
        else
        if(data.b1<70){
          analogWrite(ltmo1,LOW);//Move backward
          analogWrite(rtmo1,LOW);
          analogWrite(ltmo2,200);
          analogWrite(rtmo2,200);
        }
         else
         if(data.b2>110){
          analogWrite(ltmo1,200);//Move right
          analogWrite(rtmo1,LOW);
          analogWrite(ltmo2,LOW);
          analogWrite(rtmo2,200);
        }
         else
         if(data.b2<70){
          analogWrite(ltmo1,LOW);//Move left
          analogWrite(rtmo1,200);
          analogWrite(ltmo2,200);
          analogWrite(rtmo2,LOW);
        }
        else{
          analogWrite(ltmo1,LOW);//Stay still
          analogWrite(rtmo1,LOW);
          analogWrite(ltmo2,LOW);
          analogWrite(rtmo2,LOW);
        }
        
      }
    }
  


void loop() {

    rxData();
  Serial.print("data.b1=");/Print the received values
  Serial.print(data.b1);
  Serial.print(" ");
  Serial.print("data.b2=");
  Serial.println(data.b2);
  delay(10);

}
